osmo_ss7_link Struct Reference

`#include <osmo_ss7.h>`

## Data Fields

struct osmo_ss7_linkset * | linkset
| osmo_ss7_linkset to which we belong More...
struct {
char * name
char * description
uint32_t id
enum osmo_ss7_link_adm_state adm_state
} | cfg

## Field Documentation

## adm_state

enum osmo_ss7_link_adm_state osmo_ss7_link::adm_state

##

struct { ... } osmo_ss7_link::cfg

Referenced by osmo_ss7_link_destroy(), and osmo_ss7_link_find_or_create().

## description

char* osmo_ss7_link::description

## id

uint32_t osmo_ss7_link::id

Referenced by osmo_ss7_link_destroy(), and osmo_ss7_link_find_or_create().

## linkset

struct osmo_ss7_linkset* osmo_ss7_link::linkset

osmo_ss7_linkset to which we belong

Referenced by osmo_ss7_link_destroy(), and osmo_ss7_link_find_or_create().

## name

char* osmo_ss7_link::name

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/osmo_ss7.h